Bug 1018861 - Broken demo quickstarts/switchyard/demos/multiApp
Broken demo quickstarts/switchyard/demos/multiApp
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
urgent Severity urgent
: ER5
: ---
Assigned To: Keith Babo
Martin Vecera
:
Depends On: 1021040
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 10:33 EDT by Martin Vecera
Modified: 2014-06-16 19:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (26.47 KB, image/png)
2013-10-21 12:17 EDT, Len DiMaggio
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1774 Major Closed Broken switchyard.xml in demo/multiApp 2016-06-07 03:59 EDT

  None (edit)
Description Martin Vecera 2013-10-14 10:33:14 EDT
I deployed all the artifacts as described in quickstarts/switchyard/demos/multiApp/README.md

Then I opened http://localhost:8080/switchyard-quickstart-demo-multi-web and tried adding an item. This lead to an exception while it should have worked.

org.switchyard.component.bean.BeanComponentException: A service reference to service 'InventoryService' is not bound into this client proxy instance.  A reference configuration to the service may be required in the application configuration.
	org.switchyard.component.bean.ClientProxyBean$ClientProxyInvocationHandler.invoke(ClientProxyBean.java:270)
	com.sun.proxy.$Proxy306.createItem(Unknown Source)
	sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	java.lang.reflect.Method.invoke(Method.java:606)
	org.jboss.weld.bean.proxy.AbstractBeanInstance.invoke(AbstractBeanInstance.java:45)
	org.jboss.weld.bean.proxy.ProxyMethodHandler.invoke(ProxyMethodHandler.java:105)
	org.jboss.weld.proxies.InventoryService$1366014918$Proxy$_$$_WeldClientProxy.createItem(InventoryService$1366014918$Proxy$_$$_WeldClientProxy.java)
	org.switchyard.quickstarts.demo.multiapp.web.ItemEntry.create(ItemEntry.java:62)
	org.switchyard.quickstarts.demo.multiapp.web.ItemEntry$Proxy$_$$_WeldClientProxy.create(ItemEntry$Proxy$_$$_WeldClientProxy.java)
	sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	java.lang.reflect.Method.invoke(Method.java:606)
	org.apache.el.parser.AstValue.invoke(AstValue.java:258)
	org.apache.el.MethodExpressionImpl.invoke(MethodExpressionImpl.java:278)
	org.jboss.weld.util.el.ForwardingMethodExpression.invoke(ForwardingMethodExpression.java:40)
	org.jboss.weld.el.WeldMethodExpression.invoke(WeldMethodExpression.java:50)
	com.sun.faces.facelets.el.TagMethodExpression.invoke(TagMethodExpression.java:105)
	javax.faces.component.MethodBindingMethodExpressionAdapter.invoke(MethodBindingMethodExpressionAdapter.java:87)
	com.sun.faces.application.ActionListenerImpl.processAction(ActionListenerImpl.java:101)
	javax.faces.component.UICommand.broadcast(UICommand.java:315)
	javax.faces.component.UIViewRoot.broadcastEvents(UIViewRoot.java:786)
	javax.faces.component.UIViewRoot.processApplication(UIViewRoot.java:1251)
	com.sun.faces.lifecycle.InvokeApplicationPhase.execute(InvokeApplicationPhase.java:81)
	com.sun.faces.lifecycle.Phase.doPhase(Phase.java:101)
	com.sun.faces.lifecycle.LifecycleImpl.execute(LifecycleImpl.java:118)
	javax.faces.webapp.FacesServlet.service(FacesServlet.java:593)
Comment 1 Keith Babo 2013-10-15 12:18:43 EDT
This is a bug in the switchyard.xml included with the web project.  It currently has an empty composite and it should have this instead:

<composite xmlns="http://docs.oasis-open.org/ns/opencsa/sca/200912" 
    name="web" targetNamespace="urn:switchyard-quickstart-demo:multiapp:0.1.0">
    <component name="ItemEntryBean">
        <implementation.bean xmlns="urn:switchyard-component-bean:config:1.0" 
            class="org.switchyard.quickstarts.demo.multiapp.web.ItemEntry"/>
        <reference name="InventoryService">
            <interface.java 
                interface="org.switchyard.quickstarts.demo.multiapp.InventoryService"/>
        </reference>
    </component>
</composite>
Comment 2 JBoss JIRA Server 2013-10-16 10:55:54 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1774 to Resolved
Comment 3 JBoss JIRA Server 2013-10-16 10:55:54 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1774

pushed
Comment 4 Len DiMaggio 2013-10-21 12:16:12 EDT
See attached screenshot - problem is not present with ER6.
Comment 5 Len DiMaggio 2013-10-21 12:17:25 EDT
Created attachment 814699 [details]
Screenshot
Comment 6 JBoss JIRA Server 2014-06-16 19:51:02 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1774 to Closed

Note You need to log in before you can comment on or make changes to this bug.